#ifndef FLYJPEG_H
#define FLYJPEG_H

#include "flyjpeg_global.h"

#include <QString>
#include <QImage>

class FLYJPEGSHARED_EXPORT FlyJpeg
{
public:
    static bool createThumbnail(const QString &path, int width, int height, QImage &image);
    static QImage rotate(const QString& path, const QImage& image);

private:
    FlyJpeg();
    FlyJpeg(const FlyJpeg&);
    FlyJpeg& operator=(const FlyJpeg&);
};

#endif // FLYJPEG_H
